# Class: GenerateWeeklyResultsPatch

## GenerateWeeklyResultsPatch()

GenerateWeeklyResultsPatch ---------------------------------------------------------------------------- A patch which generates the weekly team results using the player stat data for teh currently configured play week.

## Constructor

#### new GenerateWeeklyResultsPatch()

Source:
  - app/GenerateWeeklyResults.patch.js, line 11

### Extends

- Injectable

### Methods

#### (async) run() → {Promise.<void>}

Runs the patch

Source:
  - app/GenerateWeeklyResults.patch.js, line 20

##### Returns:

Type
  Promise.<void>